Qpid should only listen on localhost
Status: Closed   

Priority: High   

Assignee: Stephen Benjamin   

Category: Installer   

Target version: Katello 3.3.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1252573 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello-installer

/pull/260

  

Description

It's no longer necessary for the qpid to listen on anything but localhost, and having it otherwise can present a security issue if a

compromised content host can connect to it.  This problem does not exist with the dispatch router due to new asymmetric routing.

Associated revisions

Revision 3c974f0c - 09/08/2015 01:32 PM - Stephen Benjamin 

refs #11737 - support listening on a particular interface

Revision 2cd1d398 - 09/08/2015 01:49 PM - Stephen Benjamin 

Merge pull request #29 from stbenjam/11737

refs #11737 - support listening on a particular interface

Revision 54c2bd9a - 10/20/2016 04:01 PM - Stephen Benjamin 

fixes #11737 - connect to localhost for qpid (#67)

Revision 8c6812cc - 10/20/2016 04:01 PM - Stephen Benjamin 

refs #11737 - connect to qpid on localhost (#96)

Revision 8c6812cc - 10/20/2016 04:01 PM - Stephen Benjamin 

refs #11737 - connect to qpid on localhost (#96)

Revision 59857e16 - 10/20/2016 04:01 PM - Stephen Benjamin 

refs #11737 - support cnames and add localhost cname to qpid certs (#65)

Revision a30222ae - 10/20/2016 04:01 PM - Stephen Benjamin 

fixes #11737 - qpid hostname configurable and 'localhost' by default (#44)

Revision 37749e81 - 10/20/2016 04:01 PM - Stephen Benjamin 

refs #11737 - connect to localhost for qpid (#79)

Revision b4d7ebf5 - 10/31/2016 11:49 AM - Stephen Benjamin 

fixes #11737 - dispatch router connect to qpid on localhost (#260)

History

#1 - 09/08/2015 02:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/260 added

- Pull request deleted ()

05/20/2024 1/2



#2 - 09/28/2015 12:21 PM - Bryan Kearney

- Bugzilla link changed from 1253884 to 1252573

#3 - 10/06/2015 08:09 AM - Eric Helms

- translation missing: en.field_release set to 70

- Triaged changed from No to Yes

#4 - 11/19/2015 12:01 PM - Eric Helms

- translation missing: en.field_release changed from 70 to 86

#5 - 05/04/2016 09:36 AM - Eric Helms

- translation missing: en.field_release changed from 86 to 144

#6 - 06/16/2016 12:57 PM - Eric Helms

- translation missing: en.field_release deleted (144)

#7 - 06/16/2016 01:24 PM - Justin Sherrill

- translation missing: en.field_release set to 162

#8 - 06/16/2016 01:25 PM - Justin Sherrill

- Category set to Installer

#9 - 10/12/2016 02:56 PM - Justin Sherrill

- translation missing: en.field_release changed from 162 to 114

#10 - 10/20/2016 10:27 AM - The Foreman Bot

- translation missing: en.field_release deleted (114)

#11 - 10/26/2016 02:04 PM - Justin Sherrill

- translation missing: en.field_release set to 188

#12 - 10/31/2016 12:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|b4d7ebf5694976640a0ded556ed72f1dc105025b.
